The Raiser's Edge now comes bundled with SQL Express.  If you are using MSDE, this will be replaced by SQL Express.
 


If you are using another SQL Server version, and you do not wish to install SQL Express, ensure that no databases are attached to the Blackbaud Management Console using MSDE.  If any databases are attached using MSDE: